krb5 1.12.1+dfsg-18ubuntu0.1 source package in Ubuntu

Changelog

krb5 (1.12.1+dfsg-18ubuntu0.1) vivid-security; urgency=medium

  * SECURITY UPDATE: preauthentication requirement bypass in kdcpreauth
    - d/p/u/0031-Prevent-requires_preauth-bypass-CVE-2015-2694.patch:
      improve logic in src/plugins/preauth/otp/main.c,
      src/plugins/preauth/pkinit/pkinit_srv.c.
    - CVE-2015-2694
  * SECURITY UPDATE: SPNEGO context aliasing bugs
    - d/p/u/0031-Fix-SPNEGO-context-aliasing-bugs-CVE-2015-2695.patch:
      improve logic in src/lib/gssapi/spnego/gssapiP_spnego.h,
      src/lib/gssapi/spnego/spnego_mech.c.
    - d/p/u/0036-Fix-SPNEGO-context-import.patch: fix SPNEGO context import
      in src/lib/gssapi/spnego/spnego_mech.c.
    - CVE-2015-2695
  * SECURITY UPDATE: IAKERB context aliasing bugs
    - d/p/u/0032-Fix-IAKERB-context-aliasing-bugs-CVE-2015-2696.patch:
      improve logic in src/lib/gssapi/krb5/gssapiP_krb5.h,
      src/lib/gssapi/krb5/gssapi_krb5.c, src/lib/gssapi/krb5/iakerb.c.
    - d/p/u/0034-Fix-two-IAKERB-comments.patch: fix comments in
      src/lib/gssapi/krb5/iakerb.c.
    - CVE-2015-2696
  * SECURITY UPDATE: KDC crash via invalid string processing
    - d/p/u/0033-Fix-build_principal-memory-bug-CVE-2015-2697.patch:
      use k5memdup0() instead of strdup() in src/lib/krb5/krb/bld_princ.c.
    - CVE-2015-2697
  * SECURITY UPDATE: memory corruption in IAKERB context export/import
    - d/p/u/0035-Fix-IAKERB-context-export-import-CVE-2015-2698.patch:
      dereferencing the context_handle pointer before casting it in
      and implement implement an IAKERB gss_import_sec_context() function
      in src/lib/gssapi/krb5/gssapiP_krb5.h,
      src/lib/gssapi/krb5/gssapi_krb5.c, src/lib/gssapi/krb5/iakerb.c.
    - CVE-2015-2698

 -- Marc Deslauriers <email address hidden>  Wed, 11 Nov 2015 08:52:46 -0500

Upload details

Uploaded by:
Marc Deslauriers on 2015-11-11
Uploaded to:
Vivid
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
net
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
krb5_1.12.1+dfsg.orig.tar.gz 11.2 MiB eb29959f1e9f8d71e7401f5809daefae067296eb5b0da1176366280a16bdd784
krb5_1.12.1+dfsg-18ubuntu0.1.debian.tar.xz 119.1 KiB 1ce6edd5c083fd7414fcd391bdc94dc6dc94d245e0f7b7e6215d7284f0cccb60
krb5_1.12.1+dfsg-18ubuntu0.1.dsc 3.4 KiB 6601b384ddbb637485403fde6e63c26cc68cff06fab704c5833c12bfc52808cb

View changes file

Binary packages built by this source

krb5-admin-server: No summary available for krb5-admin-server in ubuntu vivid.

No description available for krb5-admin-server in ubuntu vivid.

krb5-admin-server-dbgsym: No summary available for krb5-admin-server-dbgsym in ubuntu vivid.

No description available for krb5-admin-server-dbgsym in ubuntu vivid.

krb5-doc: No summary available for krb5-doc in ubuntu vivid.

No description available for krb5-doc in ubuntu vivid.

krb5-gss-samples: No summary available for krb5-gss-samples in ubuntu vivid.

No description available for krb5-gss-samples in ubuntu vivid.

krb5-gss-samples-dbgsym: No summary available for krb5-gss-samples-dbgsym in ubuntu vivid.

No description available for krb5-gss-samples-dbgsym in ubuntu vivid.

krb5-kdc: No summary available for krb5-kdc in ubuntu vivid.

No description available for krb5-kdc in ubuntu vivid.

krb5-kdc-dbgsym: No summary available for krb5-kdc-dbgsym in ubuntu vivid.

No description available for krb5-kdc-dbgsym in ubuntu vivid.

krb5-kdc-ldap: No summary available for krb5-kdc-ldap in ubuntu vivid.

No description available for krb5-kdc-ldap in ubuntu vivid.

krb5-kdc-ldap-dbgsym: No summary available for krb5-kdc-ldap-dbgsym in ubuntu vivid.

No description available for krb5-kdc-ldap-dbgsym in ubuntu vivid.

krb5-locales: No summary available for krb5-locales in ubuntu vivid.

No description available for krb5-locales in ubuntu vivid.

krb5-multidev: No summary available for krb5-multidev in ubuntu vivid.

No description available for krb5-multidev in ubuntu vivid.

krb5-multidev-dbgsym: No summary available for krb5-multidev-dbgsym in ubuntu vivid.

No description available for krb5-multidev-dbgsym in ubuntu vivid.

krb5-otp: No summary available for krb5-otp in ubuntu vivid.

No description available for krb5-otp in ubuntu vivid.

krb5-otp-dbgsym: No summary available for krb5-otp-dbgsym in ubuntu vivid.

No description available for krb5-otp-dbgsym in ubuntu vivid.

krb5-pkinit: No summary available for krb5-pkinit in ubuntu vivid.

No description available for krb5-pkinit in ubuntu vivid.

krb5-pkinit-dbgsym: No summary available for krb5-pkinit-dbgsym in ubuntu vivid.

No description available for krb5-pkinit-dbgsym in ubuntu vivid.

krb5-user: No summary available for krb5-user in ubuntu vivid.

No description available for krb5-user in ubuntu vivid.

krb5-user-dbgsym: No summary available for krb5-user-dbgsym in ubuntu vivid.

No description available for krb5-user-dbgsym in ubuntu vivid.

libgssapi-krb5-2: No summary available for libgssapi-krb5-2 in ubuntu vivid.

No description available for libgssapi-krb5-2 in ubuntu vivid.

libgssapi-krb5-2-dbgsym: No summary available for libgssapi-krb5-2-dbgsym in ubuntu vivid.

No description available for libgssapi-krb5-2-dbgsym in ubuntu vivid.

libgssrpc4: No summary available for libgssrpc4 in ubuntu vivid.

No description available for libgssrpc4 in ubuntu vivid.

libgssrpc4-dbgsym: No summary available for libgssrpc4-dbgsym in ubuntu vivid.

No description available for libgssrpc4-dbgsym in ubuntu vivid.

libk5crypto3: No summary available for libk5crypto3 in ubuntu vivid.

No description available for libk5crypto3 in ubuntu vivid.

libk5crypto3-dbgsym: No summary available for libk5crypto3-dbgsym in ubuntu vivid.

No description available for libk5crypto3-dbgsym in ubuntu vivid.

libkadm5clnt-mit9: No summary available for libkadm5clnt-mit9 in ubuntu vivid.

No description available for libkadm5clnt-mit9 in ubuntu vivid.

libkadm5clnt-mit9-dbgsym: No summary available for libkadm5clnt-mit9-dbgsym in ubuntu vivid.

No description available for libkadm5clnt-mit9-dbgsym in ubuntu vivid.

libkadm5srv-mit9: No summary available for libkadm5srv-mit9 in ubuntu vivid.

No description available for libkadm5srv-mit9 in ubuntu vivid.

libkadm5srv-mit9-dbgsym: No summary available for libkadm5srv-mit9-dbgsym in ubuntu vivid.

No description available for libkadm5srv-mit9-dbgsym in ubuntu vivid.

libkdb5-7: No summary available for libkdb5-7 in ubuntu vivid.

No description available for libkdb5-7 in ubuntu vivid.

libkdb5-7-dbgsym: No summary available for libkdb5-7-dbgsym in ubuntu vivid.

No description available for libkdb5-7-dbgsym in ubuntu vivid.

libkrad-dev: No summary available for libkrad-dev in ubuntu vivid.

No description available for libkrad-dev in ubuntu vivid.

libkrad-dev-dbgsym: No summary available for libkrad-dev-dbgsym in ubuntu vivid.

No description available for libkrad-dev-dbgsym in ubuntu vivid.

libkrad0: No summary available for libkrad0 in ubuntu vivid.

No description available for libkrad0 in ubuntu vivid.

libkrad0-dbgsym: No summary available for libkrad0-dbgsym in ubuntu vivid.

No description available for libkrad0-dbgsym in ubuntu vivid.

libkrb5-3: No summary available for libkrb5-3 in ubuntu vivid.

No description available for libkrb5-3 in ubuntu vivid.

libkrb5-3-dbgsym: No summary available for libkrb5-3-dbgsym in ubuntu vivid.

No description available for libkrb5-3-dbgsym in ubuntu vivid.

libkrb5-dbg: No summary available for libkrb5-dbg in ubuntu vivid.

No description available for libkrb5-dbg in ubuntu vivid.

libkrb5-dev: No summary available for libkrb5-dev in ubuntu vivid.

No description available for libkrb5-dev in ubuntu vivid.

libkrb5-dev-dbgsym: No summary available for libkrb5-dev-dbgsym in ubuntu vivid.

No description available for libkrb5-dev-dbgsym in ubuntu vivid.

libkrb5support0: No summary available for libkrb5support0 in ubuntu vivid.

No description available for libkrb5support0 in ubuntu vivid.

libkrb5support0-dbgsym: No summary available for libkrb5support0-dbgsym in ubuntu vivid.

No description available for libkrb5support0-dbgsym in ubuntu vivid.